package com.microservices.pms.project.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 测试单执行用例对象 pms_project_testsheet_cases
 *
 * @author microservices
 * @date 2023-11-28
 */
public class PmsProjectTestsheetCases extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 测试单ID */
    @Excel(name = "测试单ID")
    private Long projectTestsheetId;

    /** 测试用例ID */
    @Excel(name = "测试用例ID")
    private Long projectTestcaseId;

    /** 测试状态 */
    @Excel(name = "测试状态")
    private Long testStatus;

    /** 测试执行人ID */
    @Excel(name = "测试执行人ID")
    private Long testerId;

    /** 测试步骤状态,逗号隔开 */
    @Excel(name = "测试步骤状态,逗号隔开")
    private String stepStatus;

    @ApiModelProperty(value = "ID集合查询")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<Long> idsList;

    /**
     * 关联用例ID
     */
    @ApiModelProperty(value = "关联用例ID")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<Long> testcaseIdList;

    public List<Long> getTestcaseIdList() {
        return testcaseIdList;
    }

    public void setTestcaseIdList(List<Long> testcaseIdList) {
        this.testcaseIdList = testcaseIdList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectTestsheetId(Long projectTestsheetId) 
    {
        this.projectTestsheetId = projectTestsheetId;
    }

    public Long getProjectTestsheetId() 
    {
        return projectTestsheetId;
    }
    public void setProjectTestcaseId(Long projectTestcaseId) 
    {
        this.projectTestcaseId = projectTestcaseId;
    }

    public Long getProjectTestcaseId() 
    {
        return projectTestcaseId;
    }
    public void setTestStatus(Long testStatus) 
    {
        this.testStatus = testStatus;
    }

    public Long getTestStatus() 
    {
        return testStatus;
    }
    public void setTesterId(Long testerId) 
    {
        this.testerId = testerId;
    }

    public Long getTesterId() 
    {
        return testerId;
    }
    public void setStepStatus(String stepStatus) 
    {
        this.stepStatus = stepStatus;
    }

    public String getStepStatus() 
    {
        return stepStatus;
    }

    public List<Long> getIdsList() {
        return idsList;
    }

    public void setIdsList(List<Long> idsList) {
        this.idsList = idsList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectTestsheetId", getProjectTestsheetId())
            .append("projectTestcaseId", getProjectTestcaseId())
            .append("testStatus", getTestStatus())
            .append("testerId", getTesterId())
            .append("stepStatus", getStepStatus())
            .toString();
    }
}
